#include "xstreamsourceinfo.h"

XStreamSourceInfo::XStreamSourceInfo()
    : XAsset()
    , mStream(0)
    , mOffset(0)
    , mType(0)
{
    SetName("Stream Source Info");
}

XStreamSourceInfo::~XStreamSourceInfo()
{
    
}

void XStreamSourceInfo::Clear()
{
    mStream = 0;
    mOffset = 0;
    mType = 0;
}

void XStreamSourceInfo::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XStreamSourceInfo::ParseData
}
